> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prismapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Price

> Returns prices for one or more tokens or pools.



## OpenAPI

````yaml post /v1/evm/dex/prices/get-price
openapi: 3.1.0
info:
  version: 1.0.1
  title: Prism API v1
servers:
  - url: https://refract.prismapi.io
    x-fern-server-name: production
security: []
paths:
  /v1/evm/dex/prices/get-price:
    post:
      tags:
        - EVM DEX
      summary: Get Price
      description: Returns prices for one or more tokens or pools.
      operationId: evmGetPrice
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - chain_id
              properties:
                chain_id:
                  type: integer
                  description: >-
                    Numeric EVM chain ID to query. See [Supported
                    Chains](/documentation/evm/overview#supported-chains).
                tokens:
                  description: Token addresses to retrieve the latest prices for.
                  type: array
                  minItems: 1
                  maxItems: 1000
                  items:
                    type: string
                pools:
                  description: Pool addresses to retrieve the latest prices for.
                  type: array
                  minItems: 1
                  maxItems: 1000
                  items:
                    type: string
            examples:
              default:
                value:
                  chain_id: 1
                  tokens:
                    - '0x6982508145454Ce325dDbE47a25d4ec3d2311933'
      responses:
        '200':
          description: List of token prices for the specified tokens.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EvmDexPrice'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - HttpApiKeyAuth: []
components:
  schemas:
    EvmDexPrice:
      x-fern-type-name: EvmDexPrice
      type: object
      properties:
        chain_id:
          type: integer
          description: Numeric EVM chain ID the record belongs to.
        token_address:
          type: string
        pool_address:
          type: string
        usd_price:
          type: number
        block_number:
          type: integer
        block_time:
          type: string
          format: date-time
  responses:
    BadRequest:
      description: 'Bad request: Invalid request parameters'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Bad request: Invalid request parameters'
    Unauthorized:
      description: 'Unauthorized: Invalid or missing API key'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Unauthorized: Invalid or missing API key'
    Forbidden:
      description: 'Forbidden: Access denied for the current API plan'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Forbidden: Access denied for the current API plan'
    TooManyRequests:
      description: 'Too many requests: Rate limit exceeded'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Too many requests: Rate limit exceeded'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Internal server error
  securitySchemes:
    HttpApiKeyAuth:
      type: apiKey
      name: x-api-key
      description: >-
        Your Prism API key. You can get one for free in the [Prism
        Dashboard](https://dashboard.prismapi.io).
      in: header

````